package com.jxml.quick.util.qjml2qiml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCTargetFactory extends OCMpeerSupport
{
	/**
	 * convert
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		if (param!=null)
		{
			List validList=(List)param;
			if (validList.size()>0)
				throw new SAXException(
"Enums and Ranges not supported on targetFactory");
		}

		QMTargetFactory dm=(QMTargetFactory)dataModel;

		startElement("targetFactory");
		addStringContent(dm.text);
		endElement("targetFactory");
	}
}
